Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Membername eines iParts per iLogic Regel ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Inventor besser verstehen - Fläche löschen
Autor Thema:   Membername eines iParts per iLogic Regel ändern (809 mal gelesen)
Klaka
Mitglied



Sehen Sie sich das Profil von Klaka an!   Senden Sie eine Private Message an Klaka  Schreiben Sie einen Gästebucheintrag für Klaka

Beiträge: 14
Registriert: 16.05.2017

Inventor 2016
Win7 64 bit

erstellt am: 28. Jun. 2017 10:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
wie kann man den membernamen in einem iPart ändern?
Ich möchte das über eine ilogic Regel ändern z.B. Membername = Bauteilnummer.
Gruß
Klaus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

50cent
Mitglied
Konstrukteur; CAD Admin


Sehen Sie sich das Profil von 50cent an!   Senden Sie eine Private Message an 50cent  Schreiben Sie einen Gästebucheintrag für 50cent

Beiträge: 69
Registriert: 23.10.2008

Inventor Pro. 2017
Vault 2017 pro
Win10 64x
Quadro K4000

erstellt am: 28. Jun. 2017 14:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Klaka 10 Unities + Antwort hilfreich

das i Part habe ich überlesen :-)

iProperties.Value("Project", "Part Number")=ThisDoc.FileName(False) 'without extension

'Überschreibt den Displaynamen auf Standard

Dim Doc As Document
Doc = ThisApplication.ActiveDocument
   
If Doc.DisplayNameOverridden = True Then
Doc.DisplayNameOverridden = False
End If

------------------
Wer einen Fehler gemacht hat und ihn nicht korrigiert, begeht einen zweiten!

[Diese Nachricht wurde von 50cent am 28. Jun. 2017 editiert.]

[Diese Nachricht wurde von 50cent am 28. Jun. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Charly Setter
Moderator





Sehen Sie sich das Profil von Charly Setter an!   Senden Sie eine Private Message an Charly Setter  Schreiben Sie einen Gästebucheintrag für Charly Setter

Beiträge: 11873
Registriert: 28.05.2002

Der vernünftige Mensch paßt sich der Welt an;
der unvernünftige besteht auf dem Versuch, die Welt sich anzupassen.<P>Deshalb hängt aller Fortschritt vom unvernünftigen Menschen ab.
(George Bernard Shaw)

erstellt am: 29. Jun. 2017 09:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Klaka 10 Unities + Antwort hilfreich

Warum änderst Du es nicht in der Fabrik? Dann wirds gleich für alle Member geradegezogen.

Ansonsten mußt Du das Teil von der Fabrik (iPart-Mutterdatei) lösen und als normales Bauteil verwenden.

Alles andere ist Kappes und wird (hoffentlich) nicht funktionieren.

------------------
Der vernünftige Mensch paßt sich der Welt an;
der unvernünftige besteht auf dem Versuch, die Welt sich anzupassen.

Deshalb hängt aller Fortschritt vom unvernünftigen Menschen ab.
(George Bernard Shaw)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz